/*
 *  File: DefaultHierarchyIdService.java 
 *  Copyright (c) 2004-2007  Peter Kliem (Peter.Kliem@jaret.de)
 *  A commercial license is available, see http://www.jaret.de.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.jaret.util.ui.timebars.addon;

import java.util.HashMap;
import java.util.Map;

import de.jaret.util.ui.timebars.model.HierarchicalTimeBarModel;
import de.jaret.util.ui.timebars.model.TimeBarNode;

/**
 * Default hierrarchy id service enumerating all nodes.
 * 
 * @author kliem
 * @version $Id: DefaultHierarchyIdService.java 395 2007-05-01 11:40:28Z olk $
 */
public class DefaultHierarchyIdService implements IHierarchyIdService {
    /** map for backwards mapping. */
    private Map<String, TimeBarNode> _map = new HashMap<String, TimeBarNode>();
    /** id counter. */
    private int _id = 0;

    /**
     * {@inheritDoc}
     */
    public String getId(HierarchicalTimeBarModel model, TimeBarNode node) {
        String idString = "id" + (_id++);
        _map.put(idString, node);
        return idString;
    }

    /**
     * {@inheritDoc}
     */
    public TimeBarNode getNode(HierarchicalTimeBarModel model, String id) {
        return _map.get(id);
    }

}
