/*
 *  File: TableTimeBarRow.java 
 *  Copyright (c) 2004-2007  Peter Kliem (Peter.Kliem@jaret.de)
 *  A commercial license is available, see http://www.jaret.de.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.jaret.util.ui.timebars.addon.tablesynchronizer;

import de.jaret.util.misc.PropertyObservableBase;
import de.jaret.util.ui.table.model.IRow;
import de.jaret.util.ui.timebars.model.TimeBarRow;

/**
 * IRow implementation for a jaret table wrapping a timeBarRow from a timebar viewer.
 * 
 * @author kliem
 * @version $Id: TableTimeBarRow.java 400 2007-05-01 17:40:47Z olk $
 */
public class TableTimeBarRow extends PropertyObservableBase implements IRow {
    /** id of the row. */
    protected String _id;
    /** warpped timebar row. */
    protected TimeBarRow _timeBarRow;

    /**
     * Construct a TableTimeBarRow.
     * 
     * @param id id of the row
     * @param timeBarRow wrapped timebar row
     */
    public TableTimeBarRow(String id, TimeBarRow timeBarRow) {
        _id = id;
        _timeBarRow = timeBarRow;
    }

    /**
     * {@inheritDoc}
     */
    public String getId() {
        return _id;
    }

    /**
     * Retrieve the wrapped timebar row.
     * 
     * @return the timebar row
     */
    public TimeBarRow getTimeBarRow() {
        return _timeBarRow;
    }


}
